Apache C++ Standard Library Reference Guide

## multiplies

Library: General utilities

    Does not inherit

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A binary function object that returns the result of multiplying its first and second arguments

### Synopsis

    #include <functional>

    namespace std {
      template <class T>
      struct multiplies : binary_function<T, T, T>;
    }

### Description

multiplies is a binary function object. Its `operator()` returns the result of multiplying `x` and `y`. You can pass a multiplies object to any algorithm that uses a binary function. For example, the `transform()` algorithm applies a binary operation to corresponding values in two collections and stores the result. multiplies would be used in that algorithm in the following manner:

    vector<int> vec1;
    vector<int> vec2;
    vector<int> vecResult;
    .
    .
    .
    transform(vec1.begin(), vec1.end(),
              vec2.begin(), vec2.end(),
              vecResult.begin(), multiplies<int>());

After this call to `transform()`, `vecResult(n)` contains `vec1(n)` times `vec2(n)`.

### Interface

    template <class T>
    struct multiplies : binary_function<T, T, T> {
      T operator() (const T&, const T&) const;
    };

### See Also

binary_function, Function Objects

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.3.2